xmpp_handlist_t Struct Reference

handlers More...

## Data Fields

int | user_handler
int(* | handler )()
void * | userdata
int | enabled
xmpp_handlist_t * | next
union {
struct {
unsigned long period
uint64_t last_stamp
} |
struct {
char * id
} |
struct {
char * ns
char * name
char * type
} |
} | u

## Detailed Description

handlers

## Field Documentation

## user_handler

int xmpp_handlist_t::user_handler

## handler

int(* xmpp_handlist_t::handler) ()

## userdata

void* xmpp_handlist_t::userdata

## enabled

int xmpp_handlist_t::enabled

## next

xmpp_handlist_t* xmpp_handlist_t::next

## period

unsigned long xmpp_handlist_t::period

## last_stamp

uint64_t xmpp_handlist_t::last_stamp

## id

char* xmpp_handlist_t::id

## ns

char* xmpp_handlist_t::ns

## name

char* xmpp_handlist_t::name

## type

char* xmpp_handlist_t::type

##

union { ... } xmpp_handlist_t::u

The documentation for this struct was generated from the following file:

- common.h